input[type="file"] {
	cursor: pointer;
}
input[type="file"]::file-selector-button {
	display: inline-block;
	appearance: none;
	padding: 4px 16px;
	font-family: var(--font-title);
	color: var(--black);
	background: none;
	background-color: var(--color-orange);
	border: none;
	border-right: 8px solid var(--color-white);
	cursor: pointer;
}
input[type="file"]:hover::file-selector-button {
	background-color: var(--color-orange-light);
}

textarea {
	border-color: currentcolor;
}

/*form*/.form-upload {}
/*input[type="file"]*/.form-upload-file {}
/*textarea*/.form-upload-paste {
	resize: vertical;
	width: calc(100% - .3em);
}

hr {
	margin-top: 24px;
	margin-bottom: 24px;
}

hr[aria-label] {
	position: relative;
}
hr[aria-label]::before {
	content: attr(aria-label);
	position: absolute;
	top: -1em;
	left: calc(50% - .5em);
	padding: .25em;
	padding-left: .4em;
	font-family: var(--font-title);
	background-color: var(--color-white);
}

.content {
	float: none;
}

.main {
	display: grid;
	grid-template-columns: 1fr 3fr;
	overflow: auto;
}
.main::before,
.main::after {
	content: none;
}


.app-input {
	position: sticky;
	left: 0;
}
.app-output {}


.explore {
	display: flex;
}

.explore-list {
	list-style-type: none;
	width: max-content;
	max-width: 30vw;
	padding: unset;
	overflow: auto;
	border-right: 2px solid var(--color-grey);
}
.explore-list-item {}
.explore-list-item-inner {
	display: block;
	padding: 4px 16px;
	color: var(--color-white);
}

/*.explore-list-item-inner*/.explore-link {
	display: flex;
}
/*.explore-list-item-inner*/.explore-link:hover {
	color: var(--color-grey-light);
}
.explore-item-name,
.explore-item-value {
	display: block;
}
.explore-item-name {
	flex: 0 1 auto;
	text-overflow: ellipsis;
	margin-right: auto;
}
.explore-item-value {
	flex: 0 0 1rem;
	margin-left: 16px;
}
.explore-item-value:not(.explore-link *) {
	color: var(--color-grey-light);
}

.explore-link .explore-item-name {
	font-weight: bold;
}
